[%info]
WML 1.1
Reference: http://www.wapforum.org/what/technical_1_1.htm

[%tags]
a
access
anchor
b
big
br
card
do
em
fieldset
go
head
i
img
input
meta
noop
onevent
optgroup
option
p
postfield
pre
prev
refresh
select
setvar
small
strong
table
td
template
timer
tr
u
wml

[%entities]
&amp   ;ampersand
&apos  ;apostrophe
&gt    ;greater-than
&lt    ;less-than
&nbsp  ;non-breaking space
&quot  ;quotation mark
&shy   ;soft hyphen

[%types]
<string>
<url>
<lang>
<length>
<number>
<vdata>

[#core]
class=<class>
id=<id>

[#cardev]
onenterforward=<url>
onenterbackward=<url>
ontimer=<url>

[a]
%endtag=1
#core
accesskey=<vdata>
href=<url>
title=<vdata>
xml:lang=<lang>

[access]
%endtag=0
#core
domain=<string>
path=<string>

[anchor]
%endtag=1
#core
accesskey=<vdata>
title=<vdata>
xml:lang=<lang>

[b]
%endtag=1
#core
xml:lang=<lang>

[big]
%endtag=1
#core
xml:lang=<lang>

[br]
%endtag=0
#core

[card]
%endtag=1
#core
#cardev
newcontext=<boolean>
ordered=<boolean>
title=<vdata>
xml:lang=<lang>

[do]
%endtag=1
#core
label=<vdata>
name=<number>
optional=<boolean>
type,r=<string>
xml:lang=<lang>

[em]
%endtag=1
#core
xml:lang=<lang>

[fieldset]
%endtag=1
#core
title=<vdata>
xml:lang=<lang>

[go]
%endtag=2
#core
href,r=<url>
sendreferer=<boolean>
method=post|get
enctype=application/x-www-form-urlencoded
cache-control=(no-cache)
accept-charset=<string>

[head]
%endtag=1
#core

[i]
%endtag=1
#core
xml:lang=<lang>

[img]
%endtag=0
#core
align=top|middle|bottom
alt,r=<vdata>
height=<length>
hspace=<length>
localsrc=<vdata>
src,r=<url>
vspace=<length>
width=<length>          
xml:lang=<lang>

[input]
%endtag=0
#core
accesskey=<vdata>
emptyok=<boolean>
format=<string>
maxlength=<number>
name,r=<number>
size=<number>
tabindex=<number>
title=<vdata>
type=text|password
value=<vdata>
xml:lang=<lang>

[meta]
%endtag=0
#core
content=<string>
forua=<boolean>
http-equiv=<string>
name=<string>
scheme=<string>

[noop]
%endtag=0
#core

[onevent]
%endtag=1
#core
type=<string>

[optgroup]
%endtag=1
#core
title=<vdata>
xml:lang=<lang>

[option]
%endtag=1
#core
onpick=<url>
title=<vdata>
value=<vdata>
xml:lang=<lang>

[p]
%endtag=1
#core
align=<talign>
align=left|right|center
mode=wrap|nowrap
xml:lang=<lang>

[postfield]
%endtag=0
#core
name,r=<vdata>
value,r=<vdata>

[pre]
%endtag=1
#core
xml:space=preserve

[prev]
%endtag=2
#core

[refresh]
%endtag=1
#core

[select]
%endtag=1
#core
iname=<number>
ivalue=<vdata>
multiple=<boolean>
name=<number>
tabindex=<number>
title=<vdata>
value=<vdata>
xml:lang=<lang>

[setvar]
%endtag=0
#core
name,r=<vdata>
value,r=<vdata>

[small]
%endtag=1
#core
xml:lang=<lang>

[strong]
%endtag=1
#core
xml:lang=<lang>

[table]
%endtag=1
#core
align=<string>
columns=<number>
title=<vdata>
xml:lang=<lang>

[td]
%endtag=1
#core
xml:lang=<lang>

[template]
%endtag=1
#core
#cardev

[timer]
%endtag=0
#core
name=<number>
value,r=<vdata>

[tr]
%endtag=1
#core

[u]
%endtag=1
#core
xml:lang=<lang>

[wml]
%endtag=1
#core
xml:lang=<lang>
